Bug 1479218 (CVE-2017-7800)

Summary: CVE-2017-7800 Mozilla: Use-after-free in WebSockets during disconnection (MFSA 2017-19)
Product: [Other] Security Response Reporter: Doran Moppert <dmoppert>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: cschalle, gecko-bugs-nobody, jhorak, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-24 07:35:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1477026    

Description Doran Moppert 2017-08-08 06:51:01 UTC
A use-after-free vulnerability in WebSockets when the object holding the connection is freed before the disconnection operation is finished. This results in an exploitable crash.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-19/#CVE-2017-7800


Acknowledgements:

Name: the Mozilla project
Upstream: Looben Yang

Comment 1 errata-xmlrpc 2017-08-10 23:21:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2017:2456 https://access.redhat.com/errata/RHSA-2017:2456

Comment 2 errata-xmlrpc 2017-08-24 06:46:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2534 https://access.redhat.com/errata/RHSA-2017:2534